<?php

class Lumav_EveryPay_Block_Adminhtml_System_Config_Method_Button extends Mage_Adminhtml_Block_System_Config_Form_Field
{
    protected function _construct()
    {
        parent::_construct();
        $this->setTemplate('lumav/everypay/system/config/method/button.phtml');
    }

    protected function _getElementHtml(Varien_Data_Form_Element_Abstract $element)
    {
        return $this->_toHtml();
    }

    protected function _getButtonUrl()
    {
        return Mage::helper('adminhtml')->getUrl('adminhtml/everypay/updateMethods');
    }

    public function getButtonHtml()
    {
        $button = $this->getLayout()->createBlock('adminhtml/widget_button')
            ->setType('button')
            ->setId('update_payment_methods')
            ->setLabel('Update Payment Methods')
            ->setOnClick('javascript:updateMethods(); return false;');

        return $button->toHtml();
    }
    
    public function getSuccessMessage()
    {
        return $this->__('Payment methods were successfully updated.');
    }

    public function getErrorMessage()
    {
        return $this->__('An error occurred while updating payment methods.');
    }
}
