<?php

class Lumav_EveryPay_Block_Form_Card extends Lumav_EveryPay_Block_Form
{
    protected $_code    = 'lumav_everypay_card';
    protected $_isCard  = true;
    
    protected function _construct()
    {
        $this->method = Mage::getModel('everypay/everypay_card');
        $this->setTemplate('lumav/everypay/form_payment_methods_card.phtml');
    }
    
    /**
     * Adds payment mehtod logotypes after method name
     *
     * @return string
     */
    public function getMethodLabelAfterHtml()
    {
        if (!Mage::getStoreConfig('payment/' . $this->_parentCode . '/show_logo'))
            return '';

        $blockHtml = sprintf(
                '<img src="%1$s"
                title="%2$s"
                alt="%2$s"
                class="payment-method-logo" height="45"/>', $this->getMethodLogoUrl(), ucfirst($this->_gateway)
        );
        return $blockHtml;
    }

    /**
     * Returns payment method logo URL
     *
     * @return string
     */
    public function getMethodLogoUrl()
    {
        return $this->getSkinUrl('images/lumav/everypay/card_payment_logo.svg');
    }
}