<?php

class Lumav_EveryPay_Helper_Data extends Mage_Core_Helper_Abstract
{
    public function restoreQuote($order)
    {
        if ($order->getId()) {
            $quote = $this->_getQuote($order->getQuoteId());
            if ($quote->getId()) {
                $quote->setIsActive(1)
                    ->setReservedOrderId(null)
                    ->save();
                $this->_getCheckoutSession()
                    ->replaceQuote($quote)
                    ->unsLastRealOrderId();
                return true;
            }
        }
        return false;
    }
    
    protected function _getCheckoutSession()
    {
        return Mage::getSingleton('checkout/session');
    }

    protected function _getQuote($quoteId)
    {
        return Mage::getModel('sales/quote')->load($quoteId);
    }
    
    public function getEverypayMethods($card = false)
    {
        $methodsData = unserialize(Mage::getStoreConfig(Lumav_EveryPay_Model_Method::XML_PATH_PAYMENT_METHODS));
            
        foreach($methodsData as $key => $method) {
            $isCardMethod = $this->isCardMethod($method);
            if($isCardMethod != $card) {
                unset($methodsData[$key]);
            }
        }
        
        return $methodsData;
    }
    
    public function isCardMethod($method) {
        $methodName = is_array($method) ? $method['source'] : (string)$method;
        
        if($methodName == 'card') {
            return true;
        }
        
        return false;
    }
}