<?php

class Lumav_EveryPay_Model_Adminhtml_System_Config_Backend_Serialized_Array extends Mage_Adminhtml_Model_System_Config_Backend_Serialized_Array
{
    /**
     * Fix for serialized values
     *
     * @return void
     */
    protected function _afterLoad()
    {
        if (!is_array($this->getValue())) {
            $serializedValue   = (string) $this->getValue(); // fix - cast to string
            $unserializedValue = false;
            if (!empty($serializedValue)) {
                try {
                    $unserializedValue = Mage::helper('core/unserializeArray')
                        ->unserialize($serializedValue);
                } catch (Exception $e) {
                    Mage::logException($e);
                }
            }
            $this->setValue($unserializedValue);
        }
    }
}