<?php

$this->startSetup();

$tableName = $this->getTable('everypay/nonce');

$table = $this->getConnection()
		->newTable($tableName)
		->addColumn('nonce', Varien_Db_Ddl_Table::TYPE_TEXT, 255, array(
			'nullable' => false,
				), 'Nonce')
		->addIndex($this->getIdxName($tableName, array('nonce'), Varien_Db_Adapter_Interface::INDEX_TYPE_UNIQUE),
			'nonce',
			array('type' => Varien_Db_Adapter_Interface::INDEX_TYPE_UNIQUE))
;
$this->getConnection()->createTable($table);

$this->run("update ".$this->getTable('core_config_data')." set path='payment/lumav_everypay/show_logo',value=if(value,0,1) where path like 'payment/lumav_everypay/hide_logo'");

$tableName = $this->getTable('everypay/token');

$table = $this->getConnection()
        ->newTable($tableName)
        ->addColumn('token_id', Varien_Db_Ddl_Table::TYPE_INTEGER, null,
                array(
            'identity' => true,
            'unsigned' => true,
            'nullable' => false,
            'primary' => true,
                ), 'Token Id')
        ->addColumn('customer_id', Varien_Db_Ddl_Table::TYPE_INTEGER, null, array('unsigned' => true), 'Customer ID')
        ->addColumn('cc_token', Varien_Db_Ddl_Table::TYPE_TEXT, 25, array(), 'Payment token')
        ->addColumn('cc_last_four_digits', Varien_Db_Ddl_Table::TYPE_NUMERIC, array(4,0), array('unsigned' => true), 'Last four digits')
        ->addColumn('cc_year', Varien_Db_Ddl_Table::TYPE_NUMERIC, array(4,0), array('unsigned' => true), 'Card expiration year (YYYY)')
        ->addColumn('cc_month', Varien_Db_Ddl_Table::TYPE_NUMERIC, array(2,0), array('unsigned' => true), 'Card expiration month (MM)')
        ->addColumn('cc_type', Varien_Db_Ddl_Table::TYPE_TEXT, 10, array(), 'Card type')
        ->addIndex(
                $this->getIdxName($tableName, array('customer_id'), Varien_Db_Adapter_Interface::INDEX_TYPE_INDEX), 'customer_id',
                array('type' => Varien_Db_Adapter_Interface::INDEX_TYPE_INDEX)
        )
        ->addForeignKey(
                $this->getFkName('everypay/token', 'customer_id', 'customer/entity', 'entity_id'), 'customer_id',
                $this->getTable('customer/entity'), 'entity_id', Varien_Db_Ddl_Table::ACTION_CASCADE,
                Varien_Db_Ddl_Table::ACTION_CASCADE
        );

$con = $this->getConnection()->createTable($table);

$this->getConnection()->addColumn($this->getTable('everypay/token'), 'is_default', array(
    'type' => Varien_Db_Ddl_Table::TYPE_BOOLEAN,
    'unsigned' => true,
    'nullable' => false,
    'default' => 0,
    'comment' => 'Default payment token'
));

$this->getConnection()->modifyColumn(
        $this->getTable('everypay/token'),
        'cc_type',
        array(
            'type' => Varien_Db_Ddl_Table::TYPE_TEXT,
            'length' => 11,
            'nullable' => false,
            'comment' => 'Card Type'
        )
);

$this->getConnection()->modifyColumn(
        $this->getTable('everypay/token'),
        'cc_last_four_digits',
        array(
            'type' => Varien_Db_Ddl_Table::TYPE_TEXT,
            'length' => 4,
            'nullable' => false,
            'comment' => 'Last 4 digits of credit card'
        )
);

$this->endSetup();
